Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class AssemblyLocation

    java.lang.Object
      org.ensembl.datamodel.Location
          org.ensembl.datamodel.AssemblyLocation

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

Deprecated. Create instances of Location directly. The specific location types such as AssemblyLocation have been superseded by the more generic Location class.

public class AssemblyLocation
extends Location

Location on an assembly. The location is specified by any or all of these properties AssemblyMap, chromosome, start, end and strand.

See Also:
  Serialized Form

Field Summary
`static java.util.Comparator` | `ASCENDING_ORDER` Deprecated. Returns a comparator that orders `AssemblyLocation` by the following fields in this order: chromosome, start, end and strand.
`static AssemblyLocation` | `DEFAULT` Deprecated.
`static CoordinateSystem` | `DEFAULT_CS` Deprecated.

Constructor Summary
`AssemblyLocation()` Deprecated. Sets map to AssemblyLocation.DEFAULT_MAP.
`AssemblyLocation(boolean gap, int length)` Deprecated. Constructs a location with map=AssemblyLocation.DEFAULT_MAP, start=1, end=length+1, strand=unset and whether it is a gap.
`AssemblyLocation(CoordinateSystem cs, boolean gap, int length)` Deprecated. Constructs a location with specified map, start=1, end=length+1, strand=unset and whether it is a gap.
`AssemblyLocation(CoordinateSystem cs, java.lang.String chromosome, int start, int end, int strand)` Deprecated.
`AssemblyLocation(java.lang.String chromosome, int start, int end, int strand)` Deprecated. Sets map to AssemblyLocation.DEFAULT_CS.

Method Summary
`AssemblyLocation` | `append(AssemblyLocation location)` Deprecated. Adds _location_ to the end of the location list, this is the same as using setNext(location) if next==null.
`Location` | `append(Location location)` Deprecated.
`void` | `clearChromosome()` Deprecated.
`int` | `compareTo(java.lang.Object other)` Deprecated. Iterate through this location and the other one comparing them.
`java.lang.String` | `getChromosome()` Deprecated.
`boolean` | `hasNext()` Deprecated.
`boolean` | `isChromosomeSet()` Deprecated.
`Location` | `next()` Deprecated.
`AssemblyLocation` | `nextAL()` Deprecated.
`boolean` | `overlaps(Location other)` Deprecated. Checks if locations overlap each other, ignores strand.
`Location` | `reverse()` Deprecated.
`void` | `setChromosome(java.lang.String chromosome)` Deprecated. Note: if you include 'chr' at the beginning of the chromosome name it will be removed.
`void` | `setNext(AssemblyLocation next)` Deprecated.
`java.lang.String` | `toString()` Deprecated. Converts all nodes into a string.
`static Location` | `valueOf(java.lang.String s)` Deprecated.

Methods inherited from class org.ensembl.datamodel.Location
`clone, complement, containsGapNodes, copy, copyNode, diff, getCoordinateSystem, getEnd, getEndAsFormattedString, getGap, getLength, getLengthAsFormattedString, getNodeCount, getNodeLength, getNodeLengthAsFormattedString, getSegRegionID, getSeqRegionName, getSequenceRegion, getStart, getStartAsFormattedString, getStrand, isComplete, isCoordinateSystemSet, isEndSet, isGap, isSeqRegionNameSet, isStartSet, isStrandSet, last, mergeAdjacentNodes, overlaps, overlapSize, overlapSize, relative, relative, removeGapNodes, setCoordinateSystem, setEnd, setGap, setNext, setSegRegionID, setSeqRegionName, setSequenceRegion, setStart, setStrand, size, toString, toString, transform, transformNode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CS

    public static final CoordinateSystem DEFAULT_CS

  Deprecated.

### DEFAULT

    public static final AssemblyLocation DEFAULT

  Deprecated.

### ASCENDING_ORDER

    public static final java.util.Comparator ASCENDING_ORDER

  Deprecated.
  Returns a comparator that orders `AssemblyLocation` by the following fields in this order: chromosome, start, end and strand.

Constructor Detail

### AssemblyLocation

    public AssemblyLocation(CoordinateSystem cs,
                            java.lang.String chromosome,
                            int start,
                            int end,
                            int strand)
                     throws InvalidLocationException

  Deprecated.

### AssemblyLocation

    public AssemblyLocation(java.lang.String chromosome,
                            int start,
                            int end,
                            int strand)

  Deprecated.
  Sets map to AssemblyLocation.DEFAULT_CS.

### AssemblyLocation

    public AssemblyLocation(boolean gap,
                            int length)

  Deprecated.
  Constructs a location with map=AssemblyLocation.DEFAULT_MAP, start=1, end=length+1, strand=unset and whether it is a gap.

### AssemblyLocation

    public AssemblyLocation(CoordinateSystem cs,
                            boolean gap,
                            int length)

  Deprecated.
  Constructs a location with specified map, start=1, end=length+1, strand=unset and whether it is a gap.

### AssemblyLocation

    public AssemblyLocation()

  Deprecated.
  Sets map to AssemblyLocation.DEFAULT_MAP.

Method Detail

### valueOf

    public static Location valueOf(java.lang.String s)
                            throws java.text.ParseException

  Deprecated.
  Returns:
    new Location("chromosome:"+s);
  Throws:
    `java.text.ParseException`

### getChromosome

    public java.lang.String getChromosome()

  Deprecated.

### setChromosome

    public void setChromosome(java.lang.String chromosome)

  Deprecated.
  Note: if you include 'chr' at the beginning of the chromosome name it will be removed. This is done to avoid incompatibities with certain databases.

### isChromosomeSet

    public boolean isChromosomeSet()

  Deprecated.

### clearChromosome

    public void clearChromosome()

  Deprecated.

### overlaps

    public boolean overlaps(Location other)

  Deprecated.
  Checks if locations overlap each other, ignores strand.

  Overrides:
    `overlaps` in class `Location`
  Parameters:
    `other` - other location
  Returns:
    true if locations overlap.
  See Also:
    `Location.overlaps(Location,boolean)`

### toString

    public java.lang.String toString()

  Deprecated.
  Description copied from class: `Location`
  Converts all nodes into a string.

  Overrides:
    `toString` in class `Location`
  Returns:
    string representation of the location including all nodes.
  See Also:
    `Location.toString(boolean,boolean)`, `Location.toString(boolean,boolean,boolean)`

### next

    public Location next()

  Deprecated.
  Overrides:
    `next` in class `Location`
  Returns:
    next node in list.

### nextAL

    public AssemblyLocation nextAL()

  Deprecated.
  Returns:
    next location as an AssemblyLocation, or null if not set.

### setNext

    public void setNext(AssemblyLocation next)

  Deprecated.

### hasNext

    public boolean hasNext()

  Deprecated.
  Overrides:
    `hasNext` in class `Location`
  Returns:
    true if next!=null.

### append

    public AssemblyLocation append(AssemblyLocation location)
                            throws InvalidLocationException

  Deprecated.
  Adds _location_ to the end of the location list, this is the same as using setNext(location) if next==null.

  Throws:
    `InvalidLocationException`

### append

    public Location append(Location location)

  Deprecated.
  Overrides:
    `append` in class `Location`

### reverse

    public Location reverse()

  Deprecated.

### compareTo

    public int compareTo(java.lang.Object other)

  Deprecated.
  Iterate through this location and the other one comparing them. The order of the attributes used for the ordering is: chromosome, start, end, strand.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `Location`
  Returns:
    -1 if this location is before other, 0 if it is equivalent, 1 if it is after it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD